%define name kdk
%define version 1.1
%define release 1rh6x
%define prefix /opt/kde
%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KDE Development Kit.
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: X11/KDE/Development
Copyright: GPL
Packager: Brian Wright
Source0: %{name}-%{version}.tar.gz
URL: http://www.kdevelop.org/
Requires: kdelibs >= 1.1.1
BuildRoot: /tmp/build-%{name}-%{version}

%description
The KDE Development Kit contains everything you need for 
the successful development of KDE applications. 

Here is what you get : 
package                Description
=======                ===========       
KDevelop 1.1           What could it be ... :-)
                       
KDbg 1.0.2             A debugger frontend for KDE
                       
KTranslator 0.6.1      management for KDE translation files
                       
Cervisia 0.5.0         a CVS frontend for KDE
                       
kdoc 2.0a35            command line tool that generates API 
                       documentation out C/C++ sourcecode
                       
KDE SGML-Tools 0.5     command line tool needed for the 
                       generating linuxdoc-SGML online documentation

KDE libs docu          a complete, pregenerated API documentation for 
                       the KDE 1.1.2 libraries
                       
C/C++ reference        a complete C/C++ language and library documentation with example programs
                       
%prep
rm -rf %{builddir}

%setup -n %{name}-%{version}
touch `find . -type f`

%build
export QTDIR=/usr/lib/qt-1.44

CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --enable-kdoc2
(cd kdesgmltools; ./configure --prefix=%{prefix} --enable-kdoc2)
make

%install


rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip


cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}
echo "%docdir $KDEDIR/doc/kde" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%doc AUTHORS COPYING ChangeLog

%changelog
* Mon Mar 20 2000 Brian Wright <bdw@aturna.com>
- Initial build for KDE 1.1.2 for RedHat 6.x using /opt/kde

